## GcalDateChooserDay GcalDateChooserDay |

## Functions

GtkWidget * | gcal_date_chooser_day_new ()
GDateTime * | gcal_date_chooser_day_get_date ()
void | gcal_date_chooser_day_set_date ()
void | gcal_date_chooser_day_set_other_month ()
void | gcal_date_chooser_day_set_selected ()
void | gcal_date_chooser_day_set_options ()

## Signals

void | selected | Run First

## Types and Values

#define | GCAL_TYPE_DATE_CHOOSER_DAY
| GcalDateChooserDay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GcalDateChooserDay

## Implemented Interfaces

GcalDateChooserDay implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### gcal_date_chooser_day_new ()

    GtkWidget *
    gcal_date_chooser_day_new (void);

### gcal_date_chooser_day_get_date ()

    GDateTime *
    gcal_date_chooser_day_get_date (GcalDateChooserDay *day);

### gcal_date_chooser_day_set_date ()

    void
    gcal_date_chooser_day_set_date (GcalDateChooserDay *day,
                                    GDateTime *date);

### gcal_date_chooser_day_set_other_month ()

    void
    gcal_date_chooser_day_set_other_month (GcalDateChooserDay *day,
                                           gboolean other_month);

### gcal_date_chooser_day_set_selected ()

    void
    gcal_date_chooser_day_set_selected (GcalDateChooserDay *day,
                                        gboolean selected);

### gcal_date_chooser_day_set_options ()

    void
    gcal_date_chooser_day_set_options (GcalDateChooserDay *day,
                                       GcalDateChooserDayOptions options);

## Types and Values

### GCAL_TYPE_DATE_CHOOSER_DAY

    #define GCAL_TYPE_DATE_CHOOSER_DAY (gcal_date_chooser_day_get_type())

### GcalDateChooserDay

    typedef struct _GcalDateChooserDay GcalDateChooserDay;

## Signal Details

### The `“selected”` signal

    void
    user_function (GcalDateChooserDay *gcaldatechooserday,
                   gpointer            user_data)

Flags: Run First